! This will test the RMIF maximum window setting for RDP
! (Receiving side and Sending side of link on same host system).
!
! @bug 927
! @author  Jay Hallam
!
startmacro L:sPort[-1] L:wndwSz[16] L:msgCnt[256] D:timeout[20]
  switch DEBUG         debug        GET DEF=false    SDEF=true
  switch DEBUGSERVER   debugs       GET DEF=^debug   SDEF=true
  switch DEBUGCLIENT   debugc       GET DEF=^debug   SDEF=true
  switch VERBOSE       verbose      GET DEF=false    SDEF=true
  switch VERBOSESERVER verboses     GET DEF=^verbose SDEF=true
  switch VERBOSECLIENT verbosec     GET DEF=^verbose SDEF=true
  switch STATEM        statemachine GET DEF=false    SDEF=true

  timer set

  call standardSetup timeout sPort
  pipe on
    %test_rmif_window_server/id=server/STATEM=^statemachine/DEBUG=^debugs/VERBOSE=^verboses/BG this ^sPort ^wndwSz ^msgCnt
    %test_rmif_window_client/id=client/STATEM=^statemachine/DEBUG=^debugc/VERBOSE=^verbosec/BG this ^sPort wndwSz=^wndwSz msgCnt=^msgCnt
  pipe off

  timer elapse
endmacro

!******************************************************************************!
procedure processMessage m:msg
  if debug then
    say "^reg.main.name: Got message name=^msg.name fid=^msg.fid info=^msg.info data=^msg.data"
  endif

  if false then ! Your message name goes here
    !
    ! Your message(s) processing goes here
    !
  else
    call processStandardMessages
  endif
return

! These are a set of standard procedures
include standard_rmif_procs.mminc
